API referenceDiscord
PATCH /discord/guilds/{guildId}/events/{eventId}
Update any subset; status cancelled cancels the event (kept in the server's history)
PATCH
BearerAuthheader
AuthorizationBearer <token>API key sk_...
guildId*stringDiscord server (guild) id
eventId*stringEvent id
application/json- body
accountId*stringname?stringdescription?stringstartsAt?stringendsAt?stringlocation?stringExternal events
status?stringValue in
"scheduled""active""completed""cancelled"imageDataUri?string{data}
application/json- response
data?Discord's scheduled event, verbatim
curl -X PATCH 'https://example.com/api/v1/discord/guilds/string/events/string' \ -H 'Content-Type: application/json' \ -d '{ "accountId": "string"}'Example Response
{ "data": { "id": "string", "guild_id": "string", "channel_id": "string", "creator_id": "string", "name": "string", "description": "string", "scheduled_start_time": "string", "scheduled_end_time": "string", "privacy_level": 2, "status": 1, "entity_type": 1, "entity_id": "string", "entity_metadata": {}, "user_count": 0, "image": "string" }}